<?
$user_name = $function->get_user_settings("user_name");

$first_name = $function->get_user_settings("first_name");
$last_name = $function->get_user_settings("last_name");
$user_email = $function->get_user_settings("user_email");
$twtr_username = $function->get_user_settings("twtr_username");
$twtr_password = $function->get_user_settings("twtr_password");
$twtr_do_update = $function->get_user_settings("twtr_do_update");
$twtr_do_photo = $function->get_user_settings("twtr_do_photo");
$twtr_do_video = $function->get_user_settings("twtr_do_video");
$reply_notify = $function->get_user_settings("reply_notify");
$comment_notify = $function->get_user_settings("comment_notify");
$message_notify = $function->get_user_settings("message_notify");
$stalk_notify = $function->get_user_settings("stalk_notify");
$user_location = $function->get_user_settings("user_location");
$user_gender = $function->get_user_settings("user_gender");
$user_birthday = $function->get_user_settings("user_birthday");
if (ereg("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})", $user_birthday)) {
     $arr = split("-", $user_birthday);
     $user_yyyy = $arr[0];
     $user_mm = $arr[1];
     $user_dd = $arr[2];
}
$user_about = $function->get_user_settings("user_about");
$user_interests = $function->get_user_settings("user_interests");
$user_movies = $function->get_user_settings("user_movies");
$user_tv = $function->get_user_settings("user_tv");
$user_music = $function->get_user_settings("user_music");
$user_websites = $function->get_user_settings("user_websites");
$custom_background = $function->get_user_settings("custom_background");
$custom_background_color = $function->get_user_settings("custom_background_color");
$custom_text_color = $function->get_user_settings("custom_text_color");
$custom_link_color = $function->get_user_settings("custom_link_color");
$custom_sidebar_color = $function->get_user_settings("custom_sidebar_color");
$custom_sidebar_border_color = $function->get_user_settings("custom_sidebar_border_color");
$tile_background = $function->get_user_settings("tile_background");
$no_background_check = $function->get_user_settings("no_background_check");

if (isset($_POST['account'])) {
	$errors = array();
	$_POST['email'] = trim($_POST['email']);
	if(empty($_POST['user_email'])){
		$errors[] = "- You must enter an email.";
	}else{
		if(!$function->valid_email($_POST['user_email'])){
			$errors[] = "- You must enter a valid email.";
		}
	}
	
	if($_POST['user_name'] != $_SESSION['user_name']){
		if(!$_POST['user_name']){
			$errors[] = "- The username field is empty.";
		}else{
			if(!preg_match('/^[a-zA-Z0-9][\w]+[a-zA-Z0-9]$/', $_POST['user_name'])){
				$errors[] = "- Your username is invalid.";
			}
		
			if($function->user_exist($_POST['user_name'] || $_POST['user_name'] != $_SESSION['user_name'])){
				$errors[] = "- The username chosen already exists.";
			}
				
			if(strlen($_POST['user_name']) < 4){
				$errors[] = "- Your username is too short.";
			}
		
			if(strlen($_POST['user_name']) > 14){
				$errors[] = "- Your username is too long.";
			}
		}
	}
	
	if(!empty($_POST['twtr_username']) || !empty($_POST['twtr_password']) || !empty($_POST['twtr_do_update']) || !empty($_POST['twtr_do_photo']) || !empty($_POST['twtr_do_video'])){
		if(!$function->twitterUpdate($_POST['twtr_username'], $_POST['twtr_password'], "")){
			$errors[] = "- Your Twitter information is invalid!";
		}
	}
	
	if(empty($errors)){
		$function->update_settings($_POST['first_name'], $_POST['last_name'], $_POST['user_email'], $_POST['comment_notify'], $_POST['message_notify'], $_POST['stalk_notify'], $_POST['reply_notify'], $_POST['twtr_username'], $_POST['twtr_password'], $_POST['twtr_do_update'], $_POST['twtr_do_photo'], $_POST['twtr_do_video']);
		if($_POST['user_name'] != $_SESSION['user_name']){
			$function->change_user_name($_SESSION['user_name'], $_POST['user_name']);
			$_SESSION['user_name'] = $_POST['user_name'];
		}
		$function->redirect($config['current']);
	}
}

if (isset($_POST['password'])) {
	$errors = array();
	if(!empty($_POST['user_oldpasswd']) && !empty($_POST['user_newpasswd']) && !empty($_POST['user_confirmpasswd']))
	{
		if ($_POST['user_newpasswd'] != $_POST['user_confirmpasswd']) {
			$errors[] = "- Your new passwords do not match.";
		}else{
			if($function->change_password($_POST['user_oldpasswd'], $_POST['user_newpasswd'])){

			}else{
				$errors[] = "- Your current password is incorrect.";
			}
		}
	}
}

if (isset($_POST['profile'])) {
	$errors = array();
	$birthday = $_POST['user_year']."-".$_POST['user_month']."-".$_POST['user_day'];
	if(!$function->valid_date($birthday)){
		$errors[] = "- Your birthday is invalid.";
	}
	if(empty($errors)){
		$function->update_profile($_POST['user_gender'], $_POST['user_location'], $birthday, $_POST['user_about'], $_POST['user_interests'], $_POST['user_movies'], $_POST['user_tv'], $_POST['user_music'], $_POST['user_websites']);
		$function->redirect($config['current']);
	}
}

if (isset($_POST['design'])) {
	if(isset($_POST['default'])){
		mysql_query("UPDATE members SET no_background_check='0' WHERE user_name='$user_name'");
		mysql_query("UPDATE members SET custom_background='background.gif' WHERE user_name='$user_name'");
		mysql_query("UPDATE members SET custom_background_color='#ECA100' WHERE user_name='$user_name'");
		mysql_query("UPDATE members SET custom_text_color='#333333' WHERE user_name='$user_name'");
		mysql_query("UPDATE members SET custom_link_color='#0084B4' WHERE user_name='$user_name'");
		mysql_query("UPDATE members SET custom_sidebar_color='#92DAFF' WHERE user_name='$user_name'");
		mysql_query("UPDATE members SET custom_sidebar_border_color='#7AB6D5' WHERE user_name='$user_name'");
		mysql_query("UPDATE members SET tile_background='0' WHERE user_name='$user_name'");
	}else{
		$errors = array();
	
		if(preg_match("/^[#+a-zA-Z0-9]{6}+$/", $_POST['custom_background_color'])){
			$errors[] = "ERROR";
		}

		if(preg_match("/^[#+a-zA-Z0-9]{6}+$/", $_POST['custom_text_color'])){
			$errors[] = "ERROR";
		}
	
		if(preg_match("/^[#+a-zA-Z0-9]{6}+$/", $_POST['custom_link_color'])){
			$errors[] = "ERROR";
		}
	
		if(preg_match("/^[#+a-zA-Z0-9]{6}+$/", $_POST['custom_sidebar_color'])){
			$errors[] = "ERROR";
		}
	
		if(preg_match("/^[#+a-zA-Z0-9]{6}+$/", $_POST['custom_sidebar_border_color'])){
			$errors[] = "ERROR";
		}
	
		if(empty($errors)){
			$function->update_colors($_POST['custom_background_color'], $_POST['custom_text_color'], $_POST['custom_link_color'], $_POST['custom_sidebar_color'], $_POST['custom_sidebar_border_color'], $_POST['tile_background']);
		}
	
		if(isset($_POST['no_background_check'])){
			mysql_query("UPDATE members SET no_background_check='1' WHERE user_name='$user_name'");
		}else{
			mysql_query("UPDATE members SET no_background_check='0' WHERE user_name='$user_name'");
		}
	
		if(!empty($_FILES['upload']['name'])){
			$p = $_FILES['upload']['name'];
			$pos = strrpos($p,".");
			$ph = strtolower(substr($p,$pos+1,strlen($p)-$pos));
			$space = round($_FILES['upload']['size']/(1024*1024));
			if($ph!="jpg" || $ph!="jpeg" || $ph!="gif" || $ph!="png")
			{
				$errors[] = "- Invalid video or picture format.";
			}
		
			if(!empty($errors)){
				$image_key = $function->genKey();
				$image_name = $image_key.".".$ph;
				$image_dir = $config['imgdir']."backgrounds/".$image_name;
				move_uploaded_file($_FILES['upload']['tmp_name'], $image_dir);
				chmod($image_dir, 0777);
				mysql_query("UPDATE members SET custom_background='$image_name' WHERE user_name='$user_name'");
			}
		}
	}
	$function->redirect($config['current']);
}

if (isset($_POST['delete'])) {
	if(isset($_POST['user_passwd']))
	{
		if($function->login($_SESSION['user_name'], $_POST['user_passwd'])){
			mysql_query("UPDATE members SET status='deactivated' WHERE user_name='$user_name'");
			mysql_query("UPDATE members SET comment_notify='0' WHERE user_name='$user_name'");
			mysql_query("UPDATE members SET message_notify='0' WHERE user_name='$user_name'");
			mysql_query("UPDATE members SET stalk_notify='0' WHERE user_name='$user_name'");
			mysql_query("UPDATE members SET reply_notify='0' WHERE user_name='$user_name'");
			$function->redirect($config['current']);
		}else{
			$errors[] = "- Incorrect password";
		}
	}
}

if (isset($_GET['password'])) {
	include($config['basedir']."/templates/password.tmp");
}elseif(isset($_GET['profile'])){
	include($config['basedir']."/templates/profile.tmp");
}elseif(isset($_GET['design'])){
	include($config['basedir']."/templates/design.tmp");
}elseif(isset($_GET['delete'])){
	include($config['basedir']."/templates/delete.tmp");
}else{
	include($config['basedir']."/templates/settings.tmp");
}
?>