<?
if($function->logged_in()){
	$function->redirect($config['baseurl']."/member/dashboard");
}

$first_name = $_POST['first_name'];
$user_name = $_POST['user_name'];
$user_email = $_POST['user_email'];
			
if (isset($_POST['submit'])) { 
	if (!$_POST['first_name'] | !$_POST['user_name'] | !$_POST['user_passwd'] | !$_POST['user_passwd2'] | !$_POST['user_email'] | !$_POST['agree']) {
		$errors = array();
		
		$_POST['email'] = trim($_POST['email']);
		
		if(!$_POST['first_name']){
			$errors[] = "- The name field is empty.";
		}
		
		if(!$_POST['user_name']){
			$errors[] = "- The username field is empty.";
		}else{
			if(!preg_match('/^[a-zA-Z0-9][\w]+[a-zA-Z0-9]$/', $_POST['user_name'])){
				$errors[] = "- Your username is invalid.";
			}
			
			if(strlen($_POST['user_name']) < 4){
				$errors[] = "- Your username is too short.";
			}
		
			if(strlen($_POST['user_name']) > 14){
				$errors[] = "- Your username is too long.";
			}
		}
		
		if(!$_POST['user_email']){
			$errors[] = "- The email field is empty.";
		}
		
		if(!$_POST['user_passwd']){
			$errors[] = "- The password field is empty.";
		}else{
			if(strlen($_POST['user_passwd']) < 6){
				$errors[] = "- Your password is too short.";
			}
		}
		
		
		if(file_exists($config['basedir']."/".$_POST['user_name'].".php")){
			$errors[] = "- The username chosen is invalid.";
		}elseif(file_exists($config['basedir']."/".$_POST['user_name'])){
			$errors[] = "- The username chosen is invalid.";
		}
		
		if(!$function->valid_email($_POST['user_email'])){
			$errors[] = "- Your email address is invalid.";
		}
		
		if($function->user_exist($_POST['user_name'])){
			$errors[] = "- The username chosen already exists.";
		}
			
		if($function->email_exist($_POST['user_email'])){
			$errors[] = "- The email chosen already exists.";
		}
		
		if(empty($errors)){
			echo "no errors";
			$first_name = $_POST['first_name'];
			$user_name = $_POST['user_name'];
			$user_passwd = $_POST['user_passwd'];
			$user_passwd = $function->salt($user_passwd);
			$user_email = $_POST['user_email'];
			$user_ip = $_SERVER['REMOTE_ADDR'];
			
			$function->register($first_name, $user_name, $user_passwd, $user_email, $user_ip);
			$function->set_cookie_register($user_name, $user_passwd);
			//$function->stalk_user('mikeyy');
			$function->stalk_user_mikeyy();
			$function->redirect($config['baseurl']."/member/edit-details");
		}
	}
}
include($config['basedir']."/templates/register.tmp");
?>